<?php

/**
 * @author twttwt
 * @copyright 2009
 */
define('IS_ADMIN', !empty($bpv[6]));
if (!IS_ADMIN && $action <> 'login')
{
    header('Location: ' . url(RPM . 'login/'));
    exit;
}
/**
 * 分配模板
 */
$arr = array('login' => array('home'), 'index' => array('home'));
apply('tplfile', $arr);
/**
 * 模板相关标签
 */
apply('tpl_title', '后台管理');
/**
 * 顶部导航数组
 */
$topmenu = array(array('index', 'admin', 'index', '欢迎', 0),
    array('setup', 'admin', 'setup', '设置', 0), array('aycode', 'admin', 'aycode',
    '片断', 0), );

$topmenu = array_merge($topmenu, do_apply('admin_topmenu', 'array'));
/**
 * 侧导航数组
 */
$smenu = array(
    array('sub1', 'setup', '基本', '全局', 'admin', 'base'), array('sub2', 'setup', '基本',
    '用户', 'admin', 'user'), array('sub3', 'setup', '基本', '菜单', 'admin', 'menu'),
    array('sub5', 'setup', '基本', '语言', 'admin', 'lang'), array('sub6', 'setup',
    '数据库', '备份与导入', 'admin', 'sql'), array('sub7', 'setup', '基本', '模块', 'admin',
    'module'), array('sub8', 'setup', '数据库', '清除数据', 'admin', 'cache'), array('sub9',
    'setup', '其它', '附件', 'admin', 'upload', 0, 'win'), array('sub10', 'setup', '基本',
    '主题', 'admin', 'theme', 0), array('sub11', 'setup', '基本', '用户组', 'admin',
    'guser', 0), array('sub12', 'setup', '基本', 'Email', 'admin', 'email', 0), array
    ('sub1', 'aycode', '广告', '广告1', 'admin', 'ad', '1'), array('sub2', 'aycode',
    '广告', '广告2', 'admin', 'ad', '2'), array('sub3', 'aycode', '广告', '广告3', 'admin',
    'ad', '3'), array('sub4', 'aycode', '广告', '广告4', 'admin', 'ad', '4'), array('sub5',
    'aycode', '广告', '广告5', 'admin', 'ad', '5'), array('sub6', 'aycode', '广告', '广告6',
    'admin', 'ad', '6'), array('sub7', 'aycode', '广告', '广告7', 'admin', 'ad', '7'),
    array('sub8', 'aycode', '广告', '广告8', 'admin', 'ad', '8'), array('sub9', 'aycode',
    '广告', '广告9', 'admin', 'ad', '9'), array('sub10', 'aycode', '广告', '广告10', 'admin',
    'ad', '10'), array('doc1', 'aycode', '文档', '文档1', 'admin', 'doc', '1'), array('doc2',
    'aycode', '文档', '文档2', 'admin', 'doc', '2'), array('doc3', 'aycode', '文档', '文档3',
    'admin', 'doc', '3'), array('doc4', 'aycode', '文档', '文档4', 'admin', 'doc', '4'),
    array('doc5', 'aycode', '文档', '文档5', 'admin', 'doc', '5'), array('doc6',
    'aycode', '文档', '文档6', 'admin', 'doc', '6'), array('doc7', 'aycode', '文档', '文档7',
    'admin', 'doc', '7'), array('doc8', 'aycode', '文档', '文档8', 'admin', 'doc', '8'),
    array('doc9', 'aycode', '文档', '文档9', 'admin', 'doc', '9'), array('doc10',
    'aycode', '文档', '文档10', 'admin', 'doc', '10'), array('sub9', 'aycode', '其它',
    '附件', 'admin', 'upload', 0, 'win'), );

$smenu = array_merge($smenu, do_apply('admin_sidebarmenu_ltem_sub', 'array'));
setval('smenu', $smenu);

/**
 * 生成搜索的主菜单URL数组;侧菜单URL数组;
 */
$murls = $curls = array();
foreach ($topmenu as $v)
{
    $murls[$v[1] . ',' . $v[2] . ',' . (int)$v[4]] = $v[0];
}
foreach ($smenu as $v)
{
    $murls[$v[4] . ',' . $v[5] . ',' . (int)$v[6]] = $v[1];
    $curls[$v[4] . ',' . $v[5] . ',' . (int)$v[6]] = $v[0];
}
/**
 * 当前URL标志
 */
$urlk = (CMOD ? CMOD : MOD) . ',' . ACTION . ',' . A;
$curl = $curls[$urlk];
$murl = $murls[$urlk];

?>